Bug 4704 - Slightly suboptimal example use of smbclient in smbclient(1)
Slightly suboptimal example use of smbclient in smbclient(1)
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Docs
3.0.25a
Other Linux
: P3 minor
: none
Assigned To: Samba Bugzilla Account
Samba Documentation QA Contact~
http://bugs.debian.org/cgi-bin/bugrep...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-17 09:43 UTC by Christian Perrier
Modified: 2008-03-23 14:19 UTC (History)
1 user (show)

See Also:


Attachments
Patch with suggested way to fix this bug (602 bytes, patch)
2007-06-17 09:45 UTC, Christian Perrier
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Perrier 2007-06-17 09:43:59 UTC
Reported in Debian:

The manpage of smbclient tells the user to use cat for a useless case.

cat mymessage.txt | smbclient -M FRED

should be

smbclient -M FRED < mymessage.txt
Comment 1 Christian Perrier 2007-06-17 09:45:10 UTC
Created attachment 2764 [details]
Patch with suggested way to fix this bug
Comment 2 Karolin Seeger 2008-01-08 04:31:41 UTC
Fixed with revision 1221.
Thanks for reporting!
Comment 3 Debian samba package maintainers (PUBLIC MAILING LIST) 2008-03-09 03:35:37 UTC
If I'm correct, this fix is not yet in released 3.2.0-pre2 while r1220 was.
Comment 4 Debian samba package maintainers (PUBLIC MAILING LIST) 2008-03-23 14:19:11 UTC
I checked samba-3.2.0pre2 and the manpage of smbclient is correct:

samba-3.2.0pre2/docs/manpages/smbclient.1
...
One useful trick is to pipe the message through
smbclient. For example: smbclient -M FRED < mymessage.txt will send the message in the file
&#9619;fImymessage.txt&#9619;fR
to the machine FRED.
&#8962;sp
...